<?php

namespace BayDOC\Auth;

class AuthBayDoc extends \BayCMS\Auth\Auth
{
    public function createUser($user, $pw): array|bool
    {
        if (!in_array($_GET['who'] ?? '', explode(' ', 'b m1 m2 m3')))
            return false;
        if (!is_numeric($_GET['id_obj'] ?? ''))
            return false;
        $res = pg_query_params(
            $this->context->getDbConn(),
            "select p.email,p.nname, p.vname
     from baydoc d, bayprof p where p.email ilike '%@uni-bayreuth.de' and
     d.id=\$1 and p.id=$_GET[who]_id and $_GET[who]_token=\$2
     and p.email ilike \$3 and substr($_GET[who]_token,2,8)=\$4",
            [$_GET['id_obj'], $_GET['token'], $user, $pw]
        );
        if (pg_num_rows($res)) {
            //UBT-Account!
            if (!$_SESSION['baydoc_authcount']) {
                header("Location:/" . $this->context->getOrgLinkLang() . "/top/baydoc/login_bt.php?$_SERVER[QUERY_STRING]");
                $_SESSION['baydoc_authcount'] = 1;
                exit();
            } else {
                unset($_SESSION['baydoc_authcount']);
                return false;
            }
        }

        $res = pg_query_params(
            $this->context->getDbConn(),
            "select p.email,p.nname, p.vname  
  from baydoc d, bayprof p where 
  		d.id=\$1 and p.id=$_GET[who]_id and $_GET[who]_token=\$2 
  and p.email ilike \$3 and substr($_GET[who]_token,2,8)=\$4",
            [$_GET['id_obj'], $_GET['token'], $user, $pw]
        );
        if (!pg_num_rows($res))
            return false;
        $res2 = pg_query_params(
            $this->context->getDbConn(),
            'select id from benutzer where login=$1 and not gruppe',
            [$user]
        );
        if (pg_num_rows($res2))
            [$id_benutzer] = pg_fetch_row($res2, 0);
        else {
            $r = pg_fetch_array($res, 0);
            $this->context->setSystemUser();
            $email = $r['email'];
            $nname = $r['nname'];
            $vname = $r['vname'];
            $name = $vname . ' ' . $nname;
            $obj = new \BayCMS\Base\BayCMSObject($this->context);

            $obj->set(['uname' => "benutzer", 'id_parent' => $this->context->getOrgId(), 'de' => $name, 'en' => $name]);
            $id_benutzer = $obj->save();
            pg_query_params(
                $this->context->getRwDbConn(),
                'insert into benutzer(id,login,kommentar,email,pw,gruppe) 
                values($1,$2,$3,$4,$5,false)',
                [$id_benutzer, $user, $name, $email, crypt($pw, substr(md5(time() . rand()), 2, 2))]
            );
            $this->context->setSystemUser(false);
        }
        //id_benutzer bekannt

        if (
            !pg_num_rows(pg_query_params(
                $this->context->getDbConn(),
                'select * from in_ls where id_lehr=$1 and id_benutzer=$2',
                [$this->context->getOrgId(), $id_benutzer]
            ))
        )
            pg_query_params(
                $this->context->getRwDbConn(),
                'insert into in_ls(id_benutzer,id_lehr,power) values ($2,$1,$3)',
                [$this->context->getOrgId(), $id_benutzer, 100]
            );

        $res = pg_query_params(
            $this->context->getRwDbConn(),
            'select b.*,il.power,false as update_lastlogin from benutzer b,in_ls il where 
        b.id=il.id_benutzer and b.id=$2 and il.id_lehr=$1',
            [$this->context->getOrgId(), $id_benutzer]
        );
        //$r gesetzt und $auth_fallback erfolgreich
        $r = pg_fetch_array($res, 0);
        $this->context->setSystemUser(false);
        return $r;


    }

    public function createAccess($user, $pw): array|bool
    {
        return $this->createUser($user,$pw);
    }
}