<?php

namespace BayDOC\Field;

class KatSelect extends \BayCMS\Field\Select
{
    public function __construct(
        \BayCMS\Base\BayCMSContext $context,
        string $name,
        string|null $description = null,
        string $id = '',
        string $sql = '',
        string $help = '',
        string $label_css = '',
        string $input_options = '',
        string $post_input = '',
        string $placeholder = '',
        bool $no_add_to_query = false,
        bool $not_in_table = false,
        bool $non_empty = false,
        array|null $footnote = null,
        mixed $default_value = null,
        string $div_id = '',
        bool $null = true
    ) {
        parent::__construct(
            $context,
            $name,
            $description,
            $id,
            $sql,
            $help,
            $label_css,
            $input_options,
            $post_input,
            $placeholder,
            $no_add_to_query,
            $not_in_table,
            $non_empty,
            $footnote,
            $default_value,
            $div_id,
            $null
        );
        $lang = $context->lang;
        $lang2 = $context->lang2;
        $this->db_query = "select id,non_empty($lang,$lang2) as description from
			baydoc_zulassungskat order by id";
    }
}