<?php

namespace BayDOC\Page\Admin;


class Gkat extends \BayCMS\Fieldset\Domain
{
    public function __construct(\BayCMS\Base\BayCMSContext $context)
    {
        parent::__construct(
            $context,
            'baydoc_gkat',
            'Geld Kategorien'
        );
        $this->addField(new \BayCMS\Field\BilangInput(
            $context,
            '',
            'Titel',
            non_empty: 1,
            sql: 'non_empty(t.de,t.en)'
        ), list_field: 1);
        $this->addField(new \BayCMS\Field\Checkbox(
            $context,
            'dp_sum',
            'Summe anzeigen',
            sql: "case when t.dp_sum then 'Ja' else 'Nein' end"
        ), list_field: 1);
    }
}