<?php

namespace BayDOC\Page\Admin;

class Wahlberechtigte extends \BayCMS\Page\Page
{
    static string $fakultaet_sql="
case when non_empty(pl.de,pl.en)='Fakultät I' then '01'
when non_empty(pl.de,pl.en)='Fakultät II' then '02'
when non_empty(pl.de,pl.en)='Fakultät III' then '03'
when non_empty(pl.de,pl.en)='Fakultät IV' then '04'
when non_empty(pl.de,pl.en)='Fakultät V' then '05'
when non_empty(pl.de,pl.en)='Fakultät VI' then '06'
when non_empty(pl.de,pl.en)='Fakultät VII' then '07'
else 
case when b.fakultaet='I' or b.fakultaet ilike 'I/%' then '01'
when b.fakultaet='II' or b.fakultaet ilike 'II/%' then '02'
when b.fakultaet='III' or b.fakultaet ilike 'III/%'  then '03'
when b.fakultaet='IV' or b.fakultaet ilike 'IV/%' then '04'
when b.fakultaet='V' or b.fakultaet ilike 'V/%' then '05'
when b.fakultaet='VI' or b.fakultaet ilike 'VI/%' then '06'
when b.fakultaet='VII' or b.fakultaet ilike 'VII/%' then '07'
else '00'
end
end


";

    static string $filter="
and d.prue_urkunde is null   and  d.prue_urkunde_aus is null   and  d.prue_urkunde2 is null   and  d.abbruch is null   and  d.abbruch_best is null 
and s.id_status>1 and s.id_status<6
and ( baydoc_gs_getstatus(d.id) like 'Mitglied' or non_empty(pl.de,pl.en) like 'BayNAT' or non_empty(pl.de,pl.en) like 'BIGSAS' or non_empty(pl.de,pl.en) like 'BayKULT' or non_empty(pl.de,pl.en) like 'BayREW' )
";



    public function page()
    {
        header('Content-Type text/csv; charset=utf-8');
        header("Content-Disposition: attachment; filename=wahlberechtigte_" . date('Y-m-d') . ".csv");
        $query = "select d.id,
'',
'',
'',
'',
d.name,
d.vorname,
'',
case when hstatg_geschlecht='1' then 'm'
when hstatg_geschlecht='2' then 'w'
when hstatg_geschlecht='3' then 'd'
else 'u' end,
d.gort,
to_char(d.gdatum,'YYYYMMDD'),
d.gname,
".Wahlberechtigte::$fakultaet_sql.",
2,
d.email,
'',
d.str,
'',
d.ort,
d.land_wohnort,
bn1.login,
d.viva_nr,
'',
d.mnr,
''
from 
objekt_verwaltung" . $this->context->getOrgId() . " o, 
baydoc_getstudstatus(" . $this->context->getOrgId() . ") s, baydoc_zulassungskat k, lehrstuhl pl, gehoert_zu g, lehrstuhl l, baydoc d 
left outer join benutzer bn1 on d.id_benutzer=bn1.id 
left outer join benutzer bn2 on d.id_benutzer2=bn2.id 
left outer join bayprof b on b.id=d.b_id

where s.id_stud=d.id and s.id_status=k.id and d.id=o.id and not d.antrag and d.id_lehr=l.id and g.id_lehr=l.id and g.id_parent=pl.id 
".Wahlberechtigte::$filter."
order by d.id";

        $res = pg_query($this->context->getDbConn(), $query);
        for ($i = 0; $i < pg_num_rows($res); $i++) {
            $r = pg_fetch_row($res, $i);
            echo implode('|', $r) . "\n";
        }

    }
}