<?php

namespace BayDOC\Page;

class AutoDetect extends \BayCMS\Page\Page
{
    public function page()
    {
        $r_doc = [];
        $r_postdoc = [];
        $res = pg_query(
            $this->context->getDbConn(),
            "select b.*,baydoc_getstatus(b.id," . $this->context->getOrgId() . ",'de')
        from baydoc b, lehrstuhl l where b.id_lehr=l.id and (b.id_benutzer=" . $this->context->getUserId() . " 
          or b.id_benutzer2=" . $this->context->getUserId() . ")"
        );
        if (pg_num_rows($res)) {
            $r_doc = pg_fetch_array($res, 0);
        }
        $res = pg_query(
            $this->context->getDbConn(),
            "select b.*
from postdoc b, lehrstuhl l where b.id_lehr=l.id and (b.id_benutzer=" . $this->context->getUserId() . "
or b.id_benutzer2=" . $this->context->getUserId() . ")"
        );
        if (pg_num_rows($res)) {
            $r_postdoc = pg_fetch_array($res, 0);
        }

        if (isset($r_postdoc['id']) && !isset($r_doc['id'])) {
            //redirect to POSTDOC
            header('Location: /' . $this->context->getOrgLinkLang() . '/intern/postdoc/');
            exit();
        }
        if (
            isset($r_doc['id']) && !in_array($r_doc['baydoc_getstatus'], array('Promotion abgeschlossen', 'Kolloquium erfolgreich'))
            && $r_doc['antrag'] != 't'
        ) {
            //redirect to BayDOC
            header('Location: /' . $this->context->getOrgLinkLang() . '/intern/baydoc/');
            exit();
        }
        $this->context->printHeader();
        echo '<h3>WIN-UBT-Portal</h3>
' . $this->t('goto', 'zum') . ' <button onclick="window.location.href=\'/' . $this->context->getOrgLinkLang() . '/intern/baydoc/\'">' .
            $this->t('PhD Entry', 'Doktoranden Eintrag') . '</button>

<button onclick="window.location.href=\' /' . $this->context->getOrgLinkLang() . '/intern/postdoc/\'">' .
            $this->t('Postdoc Entry', 'Postdoc Eintrag') . '</button>';

        $this->context->printFooter();

    }

}