<?php

namespace BayDOC\Page;

class Event extends \BayCMS\Page\Page
{
    public function page()
    {

        if (isset($_GET['id']))
            $id = $_GET['id'];
        elseif (isset($_GET['id_obj']))
            $id = $_GET['id_obj'];
        else
            $this->error(404, 'No ID given.');

        $res = pg_query_params(
            $this->context->getDbConn(),
            "select non_empty(" . $this->context->getLangLang2('') . ") as titel, 
            non_empty(" . $this->context->getLangLang2('text_') . ") as beschreibung,
            to_char(datum,'DD.MM.YYYY') as fdatum,
            to_char(datum_bis,'DD.MM.YYYY') as fdatum_bis,
            von,bis from baydoc_events where id=\$1",
            [$id]
        );
        if(! pg_num_rows($res)){
            $this->error(404, "No event found for id=$id.");
        }

        $this->context->printHeader();
        $r=pg_fetch_array($res,0);
        echo "<h1".$GLOBALS['TE']->getCSSClass('h1').">$r[titel]</h1>
        <h4>$r[fdatum]".($r['fdatum_bis']?" - $r[fdatum_bis]":'')."</h4>
        $r[beschreibung]";
        $this->context->printFooter();
    }
}