<?php

namespace BayDOC\Page;

class StatArt extends Stat
{
    public function __construct(\BayCMS\Base\BayCMSContext $context)
    {
        parent::__construct(
            $context,
            'stat_art',
            'Prüfungsart',
            "t.pruef||' - '||t.zusatz"
        );
        
        $this->addField(new \BayCMS\Field\TextInput(
            $context,
            'schluessel',
            $context->t('Number','Schlüssel'),
            non_empty: 1
        ));
        $this->addField(new \BayCMS\Field\TextInput(
            $context,
            'gruppe',
            $context->t('Group','Gruppe'),
            non_empty: 1
        ));
        $this->addField(new \BayCMS\Field\TextInput(
            $context,
            'pruef',
            $context->t('Examination','Prüfung'),
            non_empty: 1
        ));
        $this->addField(new \BayCMS\Field\TextInput(
            $context,
            'zusatz',
            $context->t('Addition','Zusatz'),
            non_empty: 1
        ));
        $this->addField(new \BayCMS\Field\Number(
            $context,
            'prio',
            'Priorität (je höher desto weiter oben)',
            non_empty: 1
        ));
    }
}