<?php

namespace BayDOC\Page;

class StatHS extends Stat
{
    public function __construct(\BayCMS\Base\BayCMSContext $context)
    {
        $write=\BayDOC\Util\StatTables::writeAccess($context);
        parent::__construct(
            $context,
            'stat_hs',
            'Hochschule',
            "t.name",
            true
        );
        
        $this->addField(new \BayCMS\Field\TextInput(
            $context,
            'schluessel',
            $context->t('Number','Schlüssel'),
            non_empty: 1
        ));
        $this->addField(new \BayCMS\Field\TextInput(
            $context,
            'name',
            'Name',
            non_empty: 1
        ));
        $this->addField(new \BayCMS\Field\TextInput(
            $context,
            'stadt',
            'Stadt',
            non_empty: 1
        ));
        $this->addField(new \BayCMS\Field\TextInput(
            $context,
            'typ',
            'Art der Hochschule',
            non_empty: 1
        ));
        $this->addField(new \BayCMS\Field\TextInput(
            $context,
            'bundesland',
            'Bundesland',
            non_empty: 1
        ));
        $this->addField(new \BayCMS\Field\TextInput(
            $context,
            'Alias'
        ));
        $this->addField(new \BayCMS\Field\Number(
            $context,
            'prio',
            'Priorität (je höher desto weiter oben)',
            non_empty: 1
        ));
    }
}