<?php

namespace BayDOC\QB\Mapper;

class Prof extends Base
{

    protected $table_hash = [
        't' => 'p'
    ];
    public function __construct(\BayCMS\Base\BayCMSContext $context)
    {
        parent::__construct($context, 0);
        $this->old['felder']['link'] = "'<a href=\"../baydoc/bayprof.php?id_obj='||p.id||'&tab=stamm\">Details</a>'";
        $this->old['felder']['link_d'] = "'<a href=\"../baydoc/bayprof.php?id_obj='||p.id||'&tab=betr\">Doktoranden</a>'";
        $this->old['felder']['link_m'] = "'<a href=\"../baydoc/bayprof.php?id_obj='||p.id||'&tab=ment\">Mentorate</a>'";
        $this->old['felder'] = array_merge($this->old['felder'], array(
            'p.id',
            'p.anrede',
            'p.titel',
            'p.vname',
            'p.nname',
            'p.email',
            'p.url',
            'p.gruppe',
            'p.fakultaet',
            'p.lehrstuhl',
            'p.admin_ok',
            'bb.login',
            'p.aktiv',
            'p.bemerkung',
            'p.lehrstuhl_en',
            'p.von',
            'p.bis',
            'p.neue_stelle'
        ));

        $this->old['felder']['idm_pernr'] = 'p.idm_pernr';
        $this->old['felder']['idm_orgid'] = 'p.idm_objid_orgeh';
        $this->old['felder']['idm_org_cob'] = 'idmo.cob';
        $this->old['felder']['idm_org_stext'] = 'idmo.org_stext';
        $this->old['felder']['idm_org_tline'] = 'idmo.org_tline';
        $this->old['felder']['sum1'] = 'case when s1.sum is null then 0 else s1.sum end';
        $this->old['felder']['d_namen'] = 's1.comma';
        $this->old['felder']['d_nnamen'] = 's1.nnamen';
        $this->old['felder']['sum2'] = 'case when s2.sum is null then 0 else s2.sum end';
        $this->old['felder']['m_namen'] = 's2.comma';
        $this->old['felder']['m_nnamen'] = 's2.nnamen';
        $this->old['felder']['b_akt'] = "baydoc_get_docs(p.id,'b',false)";
        $this->old['felder']['m_akt'] = "baydoc_get_docs(p.id,'m',false)";
        $this->old['felder']['b_ab'] = "baydoc_get_docs(p.id,'b',true)";
        $this->old['felder']['m_ab'] = "baydoc_get_docs(p.id,'m',true)";

        $qb = new \BayDOC\QB\Prof($context);
        $sql_hash = [];
        $maps = [];
        foreach ($qb->getFields() as $f) {
            $sql_hash[$f->name] = $f->getSQL('t.', 'order');
        }

        $sql_hash_manual = [
        ];
        foreach ($this->old['felder'] as $key => $value) {
            if (isset($sql_hash_manual[$value])) {
                $value = $sql_hash_manual[$value];
            } else
                $value = $this->old2new($value);
            $keys = array_keys($sql_hash, $value);
            foreach ($keys as $name) {
                $this->field_map[$key] = $name;
                $maps[$name] = 1;
            }
        }

    }


}