<?php

namespace BayDOC\Tabs;

class ProfPostdoc extends ProfGutachten {
    public function print(){
        $id = $this->prof->getId();
        $r_prof= $this->prof->getRow();
        for($i=0;$i<2;$i++){
            $where="(s.b_id=$id or s.m1_id=$id or s.m2_id=$id or s.m3_id=$id)";
            $where.=" and s.aktiv=".($i==0?'true':'false'); 
            $list = new \BayCMS\Fieldset\BayCMSList(
                $this->context,
                "postdoc s,lehrstuhl l, objekt o left outer join objekt_ls ol on ol.id_obj=o.id and ol.id_lehr=" . $this->context->getOrgId(),
                's.id_lehr=l.id and s.id=o.id and o.geloescht is null and not s.antrag and ' . $where,
                step: -1
            );
            $list->addField(new \BayCMS\Field\TextInput(
                $this->context,
                'Name',
                sql: "case when ol.id_lehr is null then s.name||', '||s.vorname 
  		else '<a href=\"../postdoc/?tab=stamm&id_obj='||s.id||'\">'||s.name||', '||s.vorname||'</a>' end"
            ));
            $list->addField(new \BayCMS\Field\TextInput(
                $this->context,
                'Bereich',
                sql:"non_empty(".$this->context->getLangLang2('l.').")"
            ));
            $list->addField(new \BayCMS\Field\TextInput(
                $this->context,
                'Status',
                sql:  "baydoc_getstatus(s.id,".$this->context->getOrgId().",'".$this->context->lang."')"

            ));
            $list->addField(new \BayCMS\Field\TextInput(
                $this->context,
                'Rechte',
                sql:"'<span style=\"color:'||".(is_numeric($r_prof['id_benutzer'])?
  		"case when check_objekt(s.id,$r_prof[id_benutzer]) then '#008800;\">Ja' else '#ff0000;\">Nein' end":
  		"'#ff0000;\">Nein'")."||'</span>'"
            ));
            $list->addField(new \BayCMS\Field\TextInput(
                $this->context,
                'Rechte 2. Kennung',
                sql:(is_numeric($r_prof['id_benutzer2'])?
                "'<span style=\"color:'||case when check_objekt(s.id,$r_prof[id_benutzer2]) then '#008800;\">Ja' else '#ff0000;\">Nein' end||'</span>'":"'-'")
            ));
            $list->addField(new \BayCMS\Field\TextInput(
                $this->context,
                'Bestätigt',
                sql:"'<span style=\"color:'||
  		case when ((s.b_id=$id and s.b_bestaetigt is not null) or 
  		(s.m1_id=$id and s.m1_bestaetigt is not null) or  
  		(s.m2_id=$id and s.m2_bestaetigt is not null) or  
  		(s.m3_id=$id and s.m3_bestaetigt is not null)) then '#008800;\">Ja' else '#ff0000;\">Nein' end||'</span>'"
            ));
            echo '<h4>'.($i==0?'aktive':'abgeschlossene/abgebrochene').' Habilitanden</h4>';
            echo $list->getTable();


        }
    }
}