<?php
namespace BayDOC\Auth;

class AuthGs extends \BayCMS\Auth\Auth
{
    public function createUser($user, $pw): array|bool
    {
        return false;
    }

    public function createAccess($user, $pw): array|bool
    {
        $res = pg_query_params(
            $this->context->getDbConn(),
            'select b.id from baydoc d, benutzer b where
		(d.id_benutzer=b.id or d.id_benutzer2=b.id) and b.login=$1 
        and baydoc_getstatus(d.id,5001)=4',
            array($user)
        );
        if (!pg_num_rows($res))
            return false;

        [$id_benutzer] = pg_fetch_row($res, 0);

        if (
            !pg_num_rows(pg_query_params(
                $this->context->getDbConn(),
                'select * from in_ls where id_lehr=$1 and id_benutzer=$2',
                [$this->context->getOrgId(), $id_benutzer]
            ))
        )
            pg_query_params(
                $this->context->getRwDbConn(),
                'insert into in_ls(id_benutzer,id_lehr,power) values ($2,$1,$3)',
                [$this->context->getOrgId(), $id_benutzer, 100]
            );

        $res = pg_query_params(
            $this->context->getRwDbConn(),
            'select b.*,il.power,false as update_lastlogin from benutzer b,in_ls il where 
        b.id=il.id_benutzer and b.id=$2 and il.id_lehr=$1',
            [$this->context->getOrgId(), $id_benutzer]
        );
        //$r gesetzt und $auth_fallback erfolgreich
        $r = pg_fetch_array($res, 0);
        $this->context->setSystemUser(false);
        return $r;

    }
}