<?php

namespace BayDOC\Entry;

class Postdoc extends Doc {    
    protected string $table = 'postdoc';

    public function printHead()
    {
        if ($this->message)
            $GLOBALS['TE']->printMessage($this->message);

        if (!$this->id) {
            if ($this->role == 'selbst') {
                echo "<h2>" . $this->context->t('New Registration', 'Neue Registrierung') . "</h2>";

            }
            return;
        }

        if ($this->role == 'selbst' && $this->antrag)
            echo '<p style="max-width:300px; float:right;">
    <h4 style="color:#ff0000;">' .
                $this->context->t(
                    'Attention: You are still in the registration process. Your data will be saved even on logout. But your entry is only visible to you.',
                    'Hinweis: Sie befinden sich noch im Registrierungsprozess. Ihr Angaben werden gespeichert und sind auch nach einem Logout/Login vorhanden. Aktiv wird ihr Eintrag jedoch erst nach Abschluss der Registrierung.'
                ) .
                '</h4></p>';


        if ($this->context->getPower() >= 1000) {
            echo '<p style="float:right">' . $GLOBALS['TE']->getActionLink('/' . $this->context->getOrgLinkLang() . '/admin/postdoc/admin.php', 'zurück zur Übersicht', '', 'arrow-left') .
                '</p>';
        }

        echo "<h2>" . $this->row['titel'] . " " . $this->row['vorname'] . " " . $this->row['name'] . "</h2>
	<h4>" . $this->row['ls2'] . ": " . $this->row['ls'] . "</h4>";
    }

    public function isActive():bool
    {
        if($this->id===null) return true;
        else return ($this->row['aktiv']=='t'?true:false);
    }

}