<?php

namespace BayDOC\Entry;

use PHPUnit\Framework\MockObject\Stub\ReturnReference;

class Prof extends Base
{
    public function __construct(\BayCMS\Base\BayCMSContext $context, int $id=null)
    {
        parent::__construct($context, $id);
        if($id===null) return;
        $res = pg_query_params(
            $context->getDbConn(),
            'select *,check_objekt(id,$2) from bayprof where id=$1',
            [$id,$context->getUserId()]
        );
        $this->row = pg_fetch_array($res, 0);

    }
    public function printHead()
    {

        if ($this->message)
            $GLOBALS['TE']->printMessage($this->message);



        if ($this->context->getPower() >= 1000) {
            echo '<p style="float:right">' . $GLOBALS['TE']->getActionLink('/'.$this->context->getOrgLinkLang().'/admin/baydoc/bayprof.php', 'zurück zur Übersicht','', 'arrow-left') .
                '</p>';
        }
        if($this->id===null) return;
        echo "<h2>" . $this->row['titel'] . " " . $this->row['vname'] . " " . $this->row['nname'] . "</h2>";
        //Status:

    }


}