<?php

namespace BayDOC\Page\Admin;

class Docs extends \BayCMS\Fieldset\Domain
{
    public function __construct(\BayCMS\Base\BayCMSContext $context)
    {
        parent::__construct(
            $context,
            'baydoc',
            'Doktoranden',
            delete_button: false,
            copy: false,
            write_access_query: 'false',
            from: "objekt_verwaltung" . $context->getOrgId() . " o, baydoc t,baydoc_getstudstatus(" . $context->getOrgId() . ") z, baydoc_zulassungskat k",
            where: 'o.id=t.id and o.geloescht is null and not t.antrag and z.id_stud=t.id and z.id_status=k.id '
        );
        $s = $_GET['name'] ?? false;
        $id_s = $_GET['status'] ?? 'null';
        $squery = '';
        if ($s)
            $squery .= " and t.name||', '||t.vorname ilike '%" . pg_escape_string($context->getDbConn(), $s) . "%'";
        if ($id_s != 'null')
            $squery .= " and k.id=" . intval($id_s);
        $this->setListProperties(new_button: false, actions: [], squery: $squery, export_buttons:false);
        $this->addField(new \BayCMS\Field\TextInput(
            $context,
            'Name',
            sql: "t.name||', '||t.vorname"
        ), list_field: 1, search_field: 1);
        $this->addField(new \BayCMS\Field\Select(
            $context,
            'Status',
            null: 1,
            db_query: 'select id,non_empty(' . $context->getLangLang2('') . ') as description from baydoc_zulassungskat order by 1',
            sql: 'non_empty(' . $context->getLangLang2('k.') . ')'
        ), list_field: 1, search_field: 1);


    }
}