<?php

namespace BayDOC\Page\Admin;

class RSG extends \BayCMS\Fieldset\Domain {
    public function __construct(\BayCMS\Base\BayCMSContext $context)
    {
        parent::__construct($context, 
        'postdoc_tg_deadline',
        'Ausschreibung für Research Stay Grants',
        uname:'postdoc_tg_deadline');
        $this->setListProperties(export_buttons: false);
        $this->addField(new \BayCMS\Field\BilangInput(
            $context,
            '',
            'Name',
            non_empty: 1,
            sql: 'non_empty(t.de,t.en)'
        ), list_field: 1);
        $this->addField(new \BayCMS\Field\Number(
            $context,
            'max',
            'Betrag',
            non_empty:1
        ), list_field: 1);
        $this->addField(new \BayCMS\Field\Number(
            $context,
            'max_antrag',
            'Limit pro Antrag',
            non_empty:1
        ), list_field: 1);
        $this->addField(new \BayCMS\Field\Datetime(
            $context,
            'von',
            'Anmeldung Start',
            non_empty:1
        ), list_field: 1);
        $this->addField(new \BayCMS\Field\Datetime(
            $context,
            'bis',
            'Anmeldung Ende',
            non_empty:1
        ), list_field: 1);
    }
}