<?php

namespace BayDOC\Page;

class StatHR extends Stat
{
    public function __construct(\BayCMS\Base\BayCMSContext $context)
    {
        $write=\BayDOC\Util\StatTables::writeAccess($context);
        parent::__construct(
            $context,
            'stat_hr',
            'Hochschulreife',
            "t.schule"
        );
        
        $this->addField(new \BayCMS\Field\TextInput(
            $context,
            'schluessel',
            $context->t('Number','Schlüssel'),
            non_empty: 1
        ));
        $this->addField(new \BayCMS\Field\TextInput(
            $context,
            'schule',
            'Art der Hochschulreife',
            non_empty: 1
        ));
        $this->addField(new \BayCMS\Field\Number(
            $context,
            'prio',
            'Priorität (je höher desto weiter oben)',
            non_empty: 1
        ));
    }
}