<?php

namespace BayDOC\Page;

class StatKreise extends Stat
{
    public function __construct(\BayCMS\Base\BayCMSContext $context)
    {
        $write=\BayDOC\Util\StatTables::writeAccess($context);
        parent::__construct(
            $context,
            'stat_kreise',
            'Landkreise',
            "t.bundesland||'/'||t.kreis",
            true
        );
        
        $this->addField(new \BayCMS\Field\TextInput(
            $context,
            'schluessel',
            $context->t('Number','Schlüssel'),
            non_empty: 1
        ));
        $this->addField(new \BayCMS\Field\TextInput(
            $context,
            'bundesland',
            'Bundesland',
            non_empty: 1
        ));
        $this->addField(new \BayCMS\Field\TextInput(
            $context,
            'kreis',
            'Landkreis',
            non_empty: 1
        ));
        $this->addField(new \BayCMS\Field\TextInput(
            $context,
            'Alias'
        ));
        $this->addField(new \BayCMS\Field\Number(
            $context,
            'prio',
            'Priorität (je höher desto weiter oben)',
            non_empty: 1
        ));
    }
}