<?php

namespace BayDOC\QB;

/**
 * QB
 * Basetable: Postdocs joined with ResearchGrantEvaluations (postdoc_tg_eval)
 */
class PostdocRSGEval extends PostdocRSG
{
    public function __construct(\BayCMS\Base\BayCMSContext $context)
    {
        parent::__construct($context);
        $this->list_from .= ", postdoc_tg_eval eval, benutzer eval_b";
        $this->list_where .= " and an.id=eval.id_tg and eval.id_benutzer=eval_b.id";

        $this->addField(new \BayCMS\Field\TextInput(
            $context,
            'eval_user',
            'Nutzer',
            div_id: 'Bewertungen',
            sql: 'eval_b.login'
        ));
        $this->addField(new \BayCMS\Field\TextInput(
            $context,
            'eval_punkte',
            'Punkte',
            div_id: 'Bewertungen',
            sql: 'eval.punkte'
        ));
        $this->addField(new \BayCMS\Field\TextInput(
            $context,
            'eval_bemerkung',
            'Bemerkung',
            div_id: 'Bewertungen',
            sql: 'eval.punkte'
        ));
        
    }

    public function page(string $pre_content = '', string $post_content = ''): void{
        \BayCMS\Fieldset\QueryBuilder::page();
    }
    public function getTabNavigation()
    {
        return \BayCMS\Fieldset\QueryBuilder::getTabNavigation();
    }

}