<?php

namespace BayDOC\Tabs;

class DocList extends Tab
{

    public function print()
    {
        echo '<form><select name="s" onChange="submit()">
		<option value="0">' . $this->t('active PhD-Students', 'aktuelle Doktoranden') . '</option>
		<option value="1"' . (($_GET['s'] ?? false) == 1 ? ' selected' : '') . '>' . $this->t('former PhD-Students', 'ehemalige Doktoranden') . '</option>
		</select>
		<input type="submit" value="' . $this->t('show', 'anzeigen') . '">
		</form>';

        $list = new \BayCMS\Fieldset\BayCMSList(
            $this->context,
            "baydoc s left outer join zugriff z on z.id_benutzer=" . $this->context->getUserId() . " and z.id_obj=s.id,bayprof p, 
            objekt_verwaltung" . $this->context->getOrgId() . " o, baydoc_getstudstatus(" . $this->context->getOrgId() . ") z1",
            's.id=o.id and not s.antrag and z1.id_stud=s.id' .
            " and (p.id_benutzer=" . $this->context->getUserId() . " or p.id_benutzer2=" . $this->context->getUserId() . ") and
					(s.b_id=p.id or s.m1_id=p.id or s.m2_id=p.id or s.m3_id=p.id)
					and z1.id_status" . (($_GET['s'] ?? false) ? '>' : '<=') . '4',
            id_query: 's.id',
            jquery_row_click: 0,
            qs: ($_GET['s'] ?? false) ? '&s=1' : ''
        );
        $list->addField(new \BayCMS\Field\TextInput(
            $this->context,
            'Name',
            sql: "case when z.id_obj is null then s.name||', '||s.vorname else
			'<a href=\"index.php?tab=stamm&id='||s.id||'\">'||s.name||', '||s.vorname||'</a>' end"
        ));
        $list->addField(new \BayCMS\Field\TextInput(
            $this->context,
            'Role',
            sql: "case when p.id=s.b_id then 'Betreuer' else 'Mentor' end"
        ));
        echo $list->getTable();


    }

}