<?php

namespace BayDOC\Tabs;

class TabEmail extends Tab
{

    public function print()
    {
        if ($this->entry->getRole() == 'admin') {

            if ($_GET['aktion'] ?? false) {
                $mailer = new \BayDOC\Util\Mail($this->context);
                $form = $mailer->getEmailForm("tab=email&id=" . $this->entry->getId());
                if ($_GET['aktion'] == 'save') {
                    $error = $form->setValues($_POST);
                    if ($error)
                        $_GET['aktion'] = "edit";
                }

                if ($_GET['aktion'] == 'save') {
                    $mailer->sendMail(
                        $this->entry->getRow()['email'],
                        $_POST['subject'],
                        $_POST['message'],
                        [],
                        $_POST['sender'],
                        [$this->entry->getId()],
                        $_POST['email_type']
                    );
                    $GLOBALS['TE']->printMessage('E-Mail gesendet.');
                    unset($_GET['aktion']);
                }

                if (isset($_GET['aktion'])) {
                    echo $form->getForm('Neue E-Mail');
                }
            }
            if (!isset($_GET['aktion'])) {
                echo $GLOBALS['TE']->getActionLink('?tab=email&aktion=edit&id=' . $this->entry->getId(), 'Neue E-Mail','', 'new');

                $sform = new \BayCMS\Fieldset\Form(
                    $this->context,
                    qs: "tab=email&id=" . $this->entry->getId()
                );
                $sform->addField(new \BayCMS\Field\TextInput($this->context,'search',placeholder:'search'));
                $sform->setValues($_GET);
                echo $sform->getSearchForm();

                $where="true";
                if($_GET['search']??''){
                    $where=" t.message ilike '%".addslashes($_GET['search'])."%'";
                }

                $list = new \BayCMS\Fieldset\BayCMSList(
                    $this->context,
                    "(select wann as sendtime, 'DATUM: <b>'||to_char(m.wann,'DD.MM.YYYY HH24:MI')||'</b><br/>AN: <b>'||m.an||'</b><br/>BETREFF: <b>'||m.betreff||'</b>
			<br/><br/>'||case when m.email_type='text' then replace(m.nachricht,E'\\n','<br/>') else m.nachricht end||'<br/><br/>'||get_attachments(id_contact_run,'" . $this->context->org_folder . "')
            as message from qb_mails m where m.id_obj=" . $this->entry->getId() . "
            union
            select sendtime, 'DATUM: <b>'||to_char(m.sendtime,'DD.MM.YYYY HH24:MI')||'</b><br/>AN: <b>'||m.to_address||'</b><br/>BETREFF: <b>'||m.subject||'</b>
			<br/><br/>'||case when m.email_type='text' then replace(m.message,E'\\n','<br/>') else m.message end||'<br/><br/>'||get_attachments(id_run,'" . $this->context->org_folder . "')
            as message from qb2_emails m where m.id_obj=" . $this->entry->getId() . "
            ) t",
                    $where,
                    step: 5,
                    offset: $_GET['table1offset']??0,
                    qs: "tab=email&id=" . $this->entry->getId(),
                    order_by: ['sendtime desc']
                );
                $list->addField(new \BayCMS\Field\TextInput($this->context, 'message', 'Nachricht'));
                echo $list->getTable();
            }

        }

    }

}